API referenceEndpointsActivity
List Activity
List content-free operational activity visible to the authenticated principal.
List content-free operational activity visible to the authenticated principal.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
accountId*string
Account UUID that defines the tenant and authorization scope.
Format
uuidcursor?string
Opaque cursor returned by the preceding list response.
Length
1 <= length <= 1024limit?integer
Maximum number of items to return in this page.
Range
1 <= value <= 200Default
50family?string
Optional operational activity family filter.
sourceId?string
Source UUID within the Account scope.
Format
uuidquery?string
Optional case-insensitive text filter for this collection.
Length
length <= 300from?string
Inclusive ISO 8601 lower time bound.
Format
date-timeto?string
Exclusive ISO 8601 upper time bound.
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/activity?accountId=00000000-0000-4000-8000-000000000001&cursor=eyJvZmZzZXQiOjUwfQ&limit=50&family=query&sourceId=00000000-0000-4000-8000-000000000002&query=Slack&from=2026-08-01T00%3A00%3A00Z&to=2026-08-16T00%3A00%3A00Z"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "family": "run", "action": "string", "actor": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "kind": "human" }, "resource": { "type": "string", "id": "string", "name": "string" }, "outcome": "succeeded", "summary": "string", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "correlationId": "string", "occurredAt": "2019-08-24T14:15:22Z", "metadata": { "property1": "string", "property2": "string" } } ], "page": { "nextCursor": "string", "hasMore": true }, "correlationId": "string"}